---
title: Using multiple backgrounds
slug: Web/CSS/CSS_Backgrounds_and_Borders/Using_multiple_backgrounds
tags:
  - CSS
  - CSS Background
  - Example
  - Guide
  - Reference
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">You can apply <strong>multiple backgrounds</strong> to elements. These are layered atop one another with the first background you provide on top and the last background listed in the back.</span> Only the last background can include a background color.</p>

<p>Specifying multiple backgrounds is easy:</p>

<pre class="brush: css">.myclass {
  background: background1, background 2, ..., backgroundN;
}
</pre>

<p>You can do this with both the shorthand {{ cssxref("background") }} property and the individual properties thereof except for {{ cssxref("background-color") }}. That is, the following background properties can be specified as a list, one per background: {{ cssxref("background") }}, {{ cssxref("background-attachment") }}, {{ cssxref("background-clip") }}, {{ cssxref("background-image") }}, {{ cssxref("background-origin") }}, {{ cssxref("background-position") }}, {{ cssxref("background-repeat") }}, {{ cssxref("background-size") }}.</p>

<h2 id="Example">Example</h2>

<p>In this example, three backgrounds are stacked: the Firefox logo, an image of bubbles, and a <a href="/en-US/docs/Web/CSS/linear-gradient">linear gradient</a>:</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div class="multi-bg-example"&gt;&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">.multi-bg-example {
  width: 100%;
  height: 400px;
  background-image: url(https://mdn.mozillademos.org/files/11305/firefox.png),
      url(https://mdn.mozillademos.org/files/11307/bubbles.png),
      linear-gradient(to right, rgba(30, 75, 115, 1), rgba(255, 255, 255, 0));
  background-repeat: no-repeat,
      no-repeat,
      no-repeat;
  background-position: bottom right,
      left,
      right;
}</pre>

<h3 id="Result">Result</h3>

<p>(If image does not appear in CodePen, click the 'Tidy' button in the CSS section)</p>

<p>{{EmbedLiveSample('Example','600','400')}}</p>

<p>As you can see here, the Firefox logo (listed first within {{ cssxref("background-image") }}) is on top, directly above the bubbles graphic, followed by the gradient (listed last) sitting underneath all previous 'images'. Each subsequent sub-property ({{ cssxref("background-repeat") }} and {{ cssxref("background-position") }}) applies to the corresponding backgrounds. So the first listed value for {{ cssxref("background-repeat") }} applies to the first (frontmost) background, and so forth.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Using_CSS_gradients" title="en/Using gradients">Using CSS gradients</a></li>
</ul>
